Get Changeset Status by JSON Report

post

/pdc/changeset/status/from-json

Returns the status of a changeset from an uploaded JSON report.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Container for a changeset status report.
Show Source
Nested Schema : ChangeSetStatusReport
Type: object
Report containing changeset status details and warnings.
Show Source
Nested Schema : changeSets
Type: array
Lists the changesets that PDC found and processed.
Show Source
Nested Schema : ChangeSet
Type: object
Status information for a single changeset.
Show Source
Nested Schema : transformations
Type: array
Provides status details for each transformation that PDC performed for the changeset.
Show Source
Nested Schema : Transformation
Type: object
Status information for a changeset transformation job.
Show Source
  • Identifies the transformation job.
    Example: 14233
  • Reports the transformation job’s current status.
    Example: DISPATCHED
  • Specifies the target system or transformation type, such as ECE, BRE, or RRE.
    Example: ECE
Back to Top

Response

Supported Media Types

200 Response

The request was processed successfully.
Body ()
Root Schema : schema
Type: object
Container for a changeset status report.
Show Source
Nested Schema : ChangeSetStatusReport
Type: object
Report containing changeset status details and warnings.
Show Source
Nested Schema : changeSets
Type: array
Lists the changesets that PDC found and processed.
Show Source
Nested Schema : ChangeSet
Type: object
Status information for a single changeset.
Show Source
Nested Schema : transformations
Type: array
Provides status details for each transformation that PDC performed for the changeset.
Show Source
Nested Schema : Transformation
Type: object
Status information for a changeset transformation job.
Show Source
  • Identifies the transformation job.
    Example: 14233
  • Reports the transformation job’s current status.
    Example: DISPATCHED
  • Specifies the target system or transformation type, such as ECE, BRE, or RRE.
    Example: ECE
Back to Top

Examples

The following example shows how to get the status of change sets from an uploaded JSON report by submitting a POST request on the REST resource using cURL. For more information, see Use cURL.

curl -X POST 'http://hostname:port/pdc/changeset/status/from-json' -H 'Content-Type: application/json' -d @sampleRequest.json

The -d option specifies the sample request body file.

Example of Request Body

The following example shows the contents of the request body file.
{
  "changeSetStatusReport": {
    "warning": "Warning: The following ChangeSet IDs were invalid or not found: 100, 200, 300",
    "changeSets": [
      {
        "changeSetId": "3810"
      },
      {
        "changeSetId": "38810"
      },
      {
        "changeSetId": "38910"
      },
      {
        "changeSetId": "27973",
        "changeSetName": "MIGRATION_CHANGESET_SYNC_SERVICE",
        "changeSetStatus": "PENDING",
        "transformations": [
          {
            "jobId": 32015,
            "jobStatus": "DISPATCHED",
            "type": "ECE"
          }
        ]
      }
    ]
  }
}

Example of Response Body

If successful, the response code 200 is returned along with a changeSetStatusReport in JSON format containing changeset IDs, names, statuses, transformation details, and any warnings:
{
  "changeSetStatusReport": {
    "changeSets": [
      {
        "changeSetId": "3810",
        "changeSetName": "MIGRATION_CHANGESET_SYNC_EVENT",
        "changeSetStatus": "PENDING",
        "transformations": [
          {
            "jobId": 14233,
            "jobStatus": "DISPATCHED",
            "type": "ECE"
          }
        ]
      },
      {
        "changeSetId": "27973",
        "changeSetName": "MIGRATION_CHANGESET_SYNC_SERVICE",
        "changeSetStatus": "PENDING",
        "transformations": [
          {
            "jobId": 32015,
            "jobStatus": "DISPATCHED",
            "type": "ECE"
          }
        ]
      }
    ],
    "warning": "Warning: The following ChangeSet ID(s) were invalid or not found: 38810, 38910"
  }
}
Back to Top